LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XPropertySetInfoChangeNotifier Interface Referencepublished

a notifier for changes of XPropertySetInfos. More...

`import"XPropertySetInfoChangeNotifier.idl";`

Inheritance diagram for XPropertySetInfoChangeNotifier:

## Public Member Functions
void | addPropertySetInfoChangeListener ([in] XPropertySetInfoChangeListener Listener)
| registers a listener for PropertySetInfoChangeEvents. More...
void | removePropertySetInfoChangeListener ([in] XPropertySetInfoChangeListener Listener)
| removes a listener for PropertySetInfoChangeEvents. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

a notifier for changes of XPropertySetInfos.

See also
  PropertySetInfoChangeEvent
  XPropertySetInfoChangeListener

## Member Function Documentation

## ◆ addPropertySetInfoChangeListener()

void addPropertySetInfoChangeListener | ( | [in] XPropertySetInfoChangeListener | Listener | ) |

registers a listener for PropertySetInfoChangeEvents.

It is suggested to allow multiple registration of the same listener, thus for each time a listener is added, it has to be removed.

## ◆ removePropertySetInfoChangeListener()

void removePropertySetInfoChangeListener | ( | [in] XPropertySetInfoChangeListener | Listener | ) |

removes a listener for PropertySetInfoChangeEvents.

It is suggested to allow multiple registration of the same listener, thus for each time a listener is added, it has to be removed.

The documentation for this interface was generated from the following file:

- com/sun/star/beans/XPropertySetInfoChangeNotifier.idl